//+------------------------------------------------------------------+
//|                                                   TradePanel.mqh |
//|                                  Copyright 2023, MetaQuotes Ltd. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2023, MetaQuotes Ltd."
#property link      "https://www.mql5.com"

#include <EasyAndFastGUI/WndEvents.mqh>
//#include <EasyAndFastGUI/Resources.mqh>

class CProgram : public CWndEvents
{
private:
   CWindow        window;
   
   CTextEdit      edit_risk;
   
   CButton        but_pending;
   CButton        but_buy;
   CButton        but_av_buy;
   CButton        but_hd_buy;
   CButton        but_sell;
   CButton        but_av_sell;
   CButton        but_hd_sell;
   CButton        but_close_all;
   CButton        but_close_buy;
   CButton        but_close_sell;
   CButton        but_close_profit;
   
   CTextLabel     lb_symbol;
   CTextLabel     lb_spread;
   CTextLabel     lb_D1;
   CTextLabel     lb_H4;
   CTextLabel     lb_H1;
   CTextLabel     lb_M15;
   CTextLabel     lb_M5;
   CTextLabel     lb_month_profit;
   CTextLabel     lb_week_profit;
   CTextLabel     lb_day_profit;
   CTextLabel     lb_drawdown;
   CTextLabel     lb_free_margin;
   CTextLabel     lb_atr_5;
   CTextLabel     lb_art_used;
   CTextLabel     lb_atr_free;
   CTextLabel     lb_open;
   CTextLabel     lb_stop;
   CTextLabel     lb_take;
   CTextLabel     lb_lot;
   CTextLabel     lb_rr;
   
   CCheckBox      cb_show_stop_line;
   CCheckBox      cb_show_open_line;
   CCheckBox      cb_show_stop_out;
   CCheckBox      cb_show_zero_line;
   
public:
                  CProgram()                                {}
                  ~CProgram()                               {}
   
   bool           OnInitEvent()                             {return true;}
   void           OnDeinitEvent(const int reason)           {CWndEvents::Destroy();}
   void           OnTimerEvent();
   void           OnTickEvent();
   void           OnTradeEvent();
   double         OnTesterEvent();
   
   bool           CreateGUI();
   
protected:
   virtual void   OnEvent(const int id,const long &lparam,const double &dparam,const string &sparam);
   
private:
   bool           CreateWindow(const string text);
      
};

//==================================================================+
bool CProgram::CreateGUI(void)
{
   if(!CreateWindow("Trade Panel")) return false;
   
   return true;
}
//==================================================================+
bool CProgram::CreateWindow(const string caption_text)
{
   CWndContainer::AddWindow(window);
   
   window.XSize(750);
   window.YSize(420);
   window.FontSize(9);
   window.IsMovable(true);
   window.ResizeMode(true);
   window.CloseButtonIsUsed(false);
   window.TooltipsButtonIsUsed(true);
   window.CollapseButtonIsUsed(true);
   window.FullscreenButtonIsUsed(true);
   
   window.GetTooltipButtonPointer().Tooltip("Tooltips");
   window.GetCollapseButtonPointer().Tooltip("Collapse / Expand");
   window.GetFullscreenButtonPointer().Tooltip("Full Screen mode");
   
   if(!window.CreateWindow(m_chart_id,m_subwin,caption_text,1,1)) return false;
   
   return true;
}